@media only screen and (max-width : 1340px) {
	:root {
		--main-margin: 0;
		--main-padding: 5%;
	}
}

@media only screen and (max-width : 1200px) {
	
	body {
		font-weight: 500;
	}

	.anncounce-text {
	  font-size: 110%;
	}
}

@media only screen and (max-width : 980px) {
	:root {
		--big-type: 3.0rem;
		--medium-padding:12%;	
	}
	
	body {
		font-size: 1.6rem;
		--big-type: 2.75rem;
	}
	
	.announce-wrapper, .text-item-image {
		flex-direction: column;
		height: 800px;
	}
	
	
	.cornered-left {
		border-radius: 30px 30px 0 0;
	}
	
	.cornered-right {
		border-radius: 0 0 30px 30px;
	}
}

@media only screen and (max-width : 765px) {
	body {
		height: 33vW;
	}

	#logo-container img {
		height: 75%;
	}
	
	#logo-container h1 {
		font-size: 140%;
	}
}
	
	
@media only screen and (max-width : 670px) {
	:root {
		--main-padding: 3%;
	}
	
	body {
    	font-size: 1.7rem;
    	height: 58vW;
	}
	
	main {
		padding-top: 20px;
	}
	
	p {
		line-height: 2.2rem;
	}
	
	.codestyle {
		font-size: 85%;
	}
  	
	.text-item {
		--medium-padding: var(--main-padding);
		margin-bottom: 50px;
	}
	
	.number-container {
		gap: 8px;
    	align-items: stretch;
	}
	
	.highlight-text {
		--main-padding: 0;
		-webkit-hyphens: auto;
		-ms-hyphens: auto;
		hyphens: auto;
	}
	
	.text-item-image {
		height: 680px;
	}
	
	#logo-container {
		align-items: start;
	}
	#logo-container h1 {
		padding-left: 8%;
		padding-top: 0;
	}
	#logo-container h1 {
		font-size: 100%;
	}

}